Bug 178958 - devel/glib20: missing -lintl in glib-2.0.pc, breaks static linking
devel/glib20: missing -lintl in glib-2.0.pc, breaks static linking
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: gnome
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-24 20:10 UTC by Ed Maste
Modified: 2013-07-31 13:03 UTC (History)
0 users

See Also:


Attachments
file.diff (403 bytes, patch)
2013-05-24 20:10 UTC, Ed Maste
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2013-05-24 20:10:00 UTC
I tried to statically link an app against libglib, and it failed due to
unresolved dependencies from libintl.  Looking at glib's installed .pc
file, I see:

% egrep ^Libs /usr/local/libdata/pkgconfig/glib-2.0.pc
Libs: -L${libdir} -lglib-2.0 -lintl 
Libs.private: -pthread  -L/usr/local/lib -lpcre     -liconv

Indeed, no -lintl there.

The port's Makefile explicitly adds -lintl to LDFLAGS, and this appears
to cause configure to decide the gettext API is available without any
additional -l flags.  If I remove the the explicit -lintl then the
configure script determines that it's necessary, and adds it to the .pc
file:

% egrep ^Libs /usr/local/libdata/pkgconfig/glib-2.0.pc
Libs: -L${libdir} -lglib-2.0 -lintl 
Libs.private: -pthread  -L/usr/local/lib -lpcre   -lintl  -liconv

Fix: feynman% diff -u Makefile.orig Makefile
How-To-Repeat: Try to statically link using $(pkg-config --static --libs glib-2.0)
Comment 1 Edwin Groothuis freebsd_committer 2013-05-26 01:09:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-07-31 12:58:15 UTC
Author: kwm
Date: Wed Jul 31 11:57:45 2013
New Revision: 324037
URL: http://svnweb.freebsd.org/changeset/ports/324037

Log:
  The FreeBSD GNOME team presents a Glib and Gtk+ 3 update.
  
  This update updates Glib20 to 2.36 and Gtk+ 3.8
  
  * The gio-fam-backend port that used gamin for the GFileMonitor API is gone.
    It is replaced by a GIO kqueue implementation developed as part of a NetBSD
    GSoC 2011 project by Dimitry Matveev.
  * Fix a bug in the glib20 Makefile so it includes -lintl in the glib-2.0
    pkgconfig file [1]. This broke static linking and newer binutils.
  * Add introspection USE_GNOME component which sets GI_SCANNER_DISABLE_CACHE to
    prevent creation of /  root/.cache dir. Defaults to build & run depend,
    but :build and :run switches available.
  * New x11-toolkits/pangox-compat port and companion USE_GNOME component for
    pangox support which was removed from the pango port. Add it to ports still
    using pangox API.
  
  Exp-run by:	bapt@
  PR:		ports/178958 [1]
  Submitted by:	emaste@ [1]

Added:
  head/devel/dconf/files/patch-editor_dconf-editor.vala   (contents, props changed)
  head/devel/dconf/files/patch-editor_dconf-model.vala   (contents, props changed)
  head/devel/dconf/files/patch-editor_dconf-schema.vala   (contents, props changed)
  head/devel/dconf/files/patch-editors_dconf-view.vala   (contents, props changed)
  head/devel/dconf/files/patch-test_Makefile.am   (contents, props changed)
  head/devel/dconf/files/patch-test_Makefile.in   (contents, props changed)
  head/devel/gobject-introspection/files/patch-giscanner_dumper.py   (contents, props changed)
  head/devel/gobject-introspection/files/patch-giscanner_sourcescanner.py   (contents, props changed)
  head/graphics/colord-gtk/
  head/graphics/colord-gtk/Makefile   (contents, props changed)
  head/graphics/colord-gtk/distinfo   (contents, props changed)
  head/graphics/colord-gtk/pkg-descr   (contents, props changed)
  head/graphics/colord-gtk/pkg-plist   (contents, props changed)
  head/graphics/colord/files/patch-configure   (contents, props changed)
  head/graphics/colord/files/patch-src_Makefile_in   (contents, props changed)
  head/graphics/colord/pkg-install   (contents, props changed)
  head/x11-toolkits/pangox-compat/
  head/x11-toolkits/pangox-compat/Makefile   (contents, props changed)
  head/x11-toolkits/pangox-compat/distinfo   (contents, props changed)
  head/x11-toolkits/pangox-compat/pkg-descr   (contents, props changed)
  head/x11-toolkits/pangox-compat/pkg-plist   (contents, props changed)
Deleted:
  head/accessibility/at-spi2-atk/files/
  head/accessibility/at-spi2-core/files/
  head/devel/gio-fam-backend/
  head/devel/libgtop/files/patch-sysdeps_freebsd_Makefile.am
  head/devel/libgtop/files/patch-sysdeps_freebsd_Makefile.in
  head/devel/libgtop/files/patch-sysdeps_freebsd_cpu.c
  head/devel/libgtop/files/patch-sysdeps_freebsd_glibtop_machine.h
  head/devel/libgtop/files/patch-sysdeps_freebsd_nosuid.c
  head/devel/libgtop/files/patch-sysdeps_freebsd_procmap.c
  head/devel/libgtop/files/patch-sysdeps_freebsd_procopenfiles.c
  head/devel/libgtop/files/patch-sysdeps_freebsd_procwd.c
  head/devel/libgtop/files/patch-sysdeps_freebsd_suid_open.c
  head/devel/libgtop/files/patch-sysdeps_freebsd_sysinfo.c
  head/graphics/colord/files/patch-client_Makefile.in
  head/x11-fonts/fontconfig/files/patch-fontconfig_fontconfig.h
Modified:
  head/MOVED
  head/Mk/bsd.gnome.mk
  head/UPDATING
  head/accessibility/at-spi2-atk/Makefile
  head/accessibility/at-spi2-atk/distinfo
  head/accessibility/at-spi2-core/Makefile
  head/accessibility/at-spi2-core/distinfo
  head/accessibility/at-spi2-core/pkg-plist
  head/accessibility/atk/Makefile
  head/accessibility/atk/distinfo
  head/accessibility/atk/pkg-plist
  head/accessibility/py-atspi/Makefile
  head/accessibility/py-atspi/distinfo   (contents, props changed)
  head/accessibility/py-atspi/pkg-plist   (contents, props changed)
  head/audio/openal/Makefile   (contents, props changed)
  head/chinese/fcitx/Makefile
  head/devel/Makefile
  head/devel/dconf-editor/Makefile
  head/devel/dconf/Makefile
  head/devel/dconf/distinfo
  head/devel/dconf/files/patch-client_Makefile.in
  head/devel/dconf/files/patch-dbus-1_Makefile.in
  head/devel/dconf/files/patch-editor_Makefile.in
  head/devel/dconf/pkg-plist
  head/devel/gamin/Makefile
  head/devel/glib20/Makefile
  head/devel/glib20/distinfo
  head/devel/glib20/files/patch-ae
  head/devel/glib20/files/patch-glib::libcharset::Makefile.in   (contents, props changed)
  head/devel/glib20/files/patch-glib_tests_gdatetime.c
  head/devel/glib20/pkg-plist
  head/devel/glibmm/Makefile
  head/devel/glibmm/distinfo
  head/devel/glibmm/pkg-plist
  head/devel/gnome-common/Makefile
  head/devel/gobject-introspection/Makefile
  head/devel/gobject-introspection/distinfo
  head/devel/gobject-introspection/files/patch-configure
  head/devel/gobject-introspection/pkg-plist
  head/devel/gsettings-desktop-schemas/Makefile
  head/devel/gsettings-desktop-schemas/distinfo   (contents, props changed)
  head/devel/gsettings-desktop-schemas/pkg-plist   (contents, props changed)
  head/devel/libgtop/Makefile
  head/devel/libgtop/distinfo   (contents, props changed)
  head/devel/libgtop/files/patch-configure   (contents, props changed)
  head/devel/libgtop/files/patch-sysdeps_freebsd_open.c   (contents, props changed)
  head/devel/libgtop/pkg-plist   (contents, props changed)
  head/devel/libnotify/Makefile
  head/devel/libnotify/distinfo   (contents, props changed)
  head/devel/libnotify/files/patch-configure   (contents, props changed)
  head/devel/libnotify/pkg-plist   (contents, props changed)
  head/devel/libsigc++20/Makefile
  head/devel/libsigc++20/distinfo   (contents, props changed)
  head/devel/libsigc++20/pkg-plist   (contents, props changed)
  head/devel/qt4-corelib/Makefile
  head/graphics/Makefile
  head/graphics/clutter/Makefile
  head/graphics/colord/Makefile
  head/graphics/colord/distinfo
  head/graphics/colord/files/patch-Makefile.in
  head/graphics/colord/pkg-plist
  head/graphics/gdk-pixbuf2/Makefile
  head/graphics/gdk-pixbuf2/distinfo
  head/graphics/gdk-pixbuf2/pkg-plist
  head/graphics/liblqr-1/Makefile
  head/graphics/librsvg2/Makefile
  head/lang/gjs/Makefile
  head/lang/gjs/distinfo
  head/lang/gjs/pkg-plist
  head/lang/vala-vapigen/Makefile
  head/lang/vala/Makefile
  head/lang/vala/distinfo
  head/lang/vala/pkg-plist
  head/mail/gmime2/Makefile
  head/multimedia/ffmpegthumbnailer/Makefile
  head/net-im/telepathy-glib/Makefile
  head/net-im/telepathy-glib/distinfo
  head/net-im/telepathy-glib/pkg-plist
  head/net/glib-networking/Makefile
  head/net/glib-networking/distinfo
  head/net/glib-networking/pkg-plist
  head/net/mtr/Makefile
  head/ports-mgmt/packagekit/Makefile
  head/textproc/gnome-doc-utils/Makefile
  head/textproc/gnome-doc-utils/distinfo   (contents, props changed)
  head/textproc/gnome-doc-utils/pkg-plist   (contents, props changed)
  head/textproc/gtk-doc/Makefile
  head/textproc/gtk-doc/distinfo   (contents, props changed)
  head/textproc/gtk-doc/pkg-plist   (contents, props changed)
  head/www/multiwatch/Makefile
  head/x11-fonts/fontconfig/Makefile
  head/x11-fonts/fontconfig/distinfo   (contents, props changed)
  head/x11-fonts/fontconfig/files/fc-query.1   (contents, props changed)
  head/x11-fonts/fontconfig/files/fc-scan.1   (contents, props changed)
  head/x11-fonts/fontconfig/files/patch-Makefile.in   (contents, props changed)
  head/x11-fonts/fontconfig/pkg-descr   (contents, props changed)
  head/x11-fonts/fontconfig/pkg-plist   (contents, props changed)
  head/x11-toolkits/Makefile
  head/x11-toolkits/gtk30/Makefile
  head/x11-toolkits/gtk30/distinfo
  head/x11-toolkits/gtk30/files/patch-docs_reference_gtk_Makefile.in
  head/x11-toolkits/gtk30/pkg-plist
  head/x11-toolkits/gtkglext/Makefile
  head/x11-toolkits/gtkglextmm/Makefile
  head/x11-toolkits/gtkmm30/Makefile
  head/x11-toolkits/gtkmm30/distinfo   (contents, props changed)
  head/x11-toolkits/pango/Makefile
  head/x11-toolkits/pango/distinfo
  head/x11-toolkits/pango/pkg-plist
  head/x11-toolkits/pangomm/Makefile   (contents, props changed)
  head/x11-toolkits/wxgtk26/Makefile   (contents, props changed)
  head/x11-toolkits/wxgtk28/Makefile   (contents, props changed)
  head/x11-wm/sawfish/Makefile

Modified: head/MOVED
==============================================================================
--- head/MOVED	Wed Jul 31 11:56:17 2013	(r324036)
+++ head/MOVED	Wed Jul 31 11:57:45 2013	(r324037)
@@ -4831,3 +4831,4 @@ audio/artswrapper||2013-07-27|Depend on 
 net/ns2|net/ns|2013-07-29|Duplicate ports merged
 x11-toolkits/libbonobouimm||2013-07-31|Not supported upstream anymore
 devel/libbonobomm||2013-07-31|Not supported upstream anymore
+devel/gio-fam-backend|devel/glib20|2013-07-31|Obsoleted by new functionality in glib20

Modified: head/Mk/bsd.gnome.mk
==============================================================================
--- head/Mk/bsd.gnome.mk	Wed Jul 31 11:56:17 2013	(r324036)
+++ head/Mk/bsd.gnome.mk	Wed Jul 31 11:57:45 2013	(r324037)
@@ -3,7 +3,7 @@
 #
 # $FreeBSD$
 #	$NetBSD: $
-#     $MCom: ports/Mk/bsd.gnome.mk,v 1.574 2012/12/18 12:15:14 kwm Exp $
+#     $MCom: ports/trunk/Mk/bsd.gnome.mk 17271 2013-04-01 15:16:27Z kwm $
 #
 # Please view me with 4 column tabs!
 
@@ -68,9 +68,9 @@ Gnome_Pre_Include=			bsd.gnome.mk
 #
 
 # non-version specific components
-_USE_GNOME_ALL= esound intlhack intltool ltasneededhack lthack ltverhack \
-		gnomehack referencehack gnomehier gnomemimedata gnomeprefix \
-		pkgconfig
+_USE_GNOME_ALL= esound intlhack intltool introspection ltasneededhack lthack \
+		ltverhack gnomehack referencehack gnomehier gnomemimedata \
+		gnomeprefix pkgconfig
 
 # GNOME 1 components
 _USE_GNOME_ALL+= bonobo gconf gdkpixbuf glib12 \
@@ -79,7 +79,7 @@ _USE_GNOME_ALL+= bonobo gconf gdkpixbuf 
 
 # GNOME 2 components
 _USE_GNOME_ALL+= atk atspi cairo desktopfileutils eel2 evolutiondataserver gal2 \
-		gdkpixbuf2 gconf2 _glib20 glib20 gnomecontrolcenter2 gnomedesktop \
+		gdkpixbuf2 gconf2 glib20 gnomecontrolcenter2 gnomedesktop \
 		gnomedesktopsharp20 gnomedocutils gnomemenus gnomepanel gnomesharp20 \
 		gnomespeech gnomevfs2 gtk-update-icon-cache gtk20 gtkhtml3 gtksharp10 \
 		gtksharp20 gtksourceview gtksourceview2 gvfs libartlgpl2 libbonobo \
@@ -87,7 +87,7 @@ _USE_GNOME_ALL+= atk atspi cairo desktop
 		libgnomecanvas libgnomedb libgnomekbd libgnomeprint libgnomeprintui \
 		libgnomeui libgsf libgtkhtml libidl librsvg2 libwnck \
 		libxml2 libxslt libzvt linc metacity nautilus2 nautiluscdburner \
-		orbit2 pango pygnome2 pygnomedesktop pygnomeextras pygobject pygtk2 \
+		orbit2 pango pangox-compat pygnome2 pygnomedesktop pygnomeextras pygobject pygtk2 \
 		pygtksourceview vte
 
 # GNOME 3 components
@@ -95,7 +95,7 @@ _USE_GNOME_ALL+= dconf gtk30 gtksourcevi
 
 # C++ bindings
 _USE_GNOME_ALL+=atkmm cairomm gconfmm gconfmm26 glibmm gtkmm20 gtkmm24 \
-		gtkmm30 gtksourcviewmm3 libgdamm \
+		gtkmm30 gtksourceviewmm3 libgdamm \
 		libgtksourceviewmm libxml++ libxml++26 libsigc++12 libsigc++20 \
 		pangomm
 
@@ -272,7 +272,7 @@ oaf_USE_GNOME_IMPL=	glib12 orbit libxml
 gnomemimedata_DETECT=	${LOCALBASE}/libdata/pkgconfig/gnome-mime-data-2.0.pc
 gnomemimedata_BUILD_DEPENDS=${gnomemimedata_DETECT}:${PORTSDIR}/misc/gnome-mime-data
 gnomemimedata_RUN_DEPENDS=${gnomemimedata_DETECT}:${PORTSDIR}/misc/gnome-mime-data
-gnomemimedata_USE_GNOME_IMPL=gnomehier pkgconfig
+gnomemimedata_USE_GNOME_IMPL=gnomehier
 
 GCONF_CONFIG?=		${LOCALBASE}/bin/gconf-config
 gconf_LIB_DEPENDS=	gconf-1.1:${PORTSDIR}/devel/gconf
@@ -310,27 +310,27 @@ libglade_MAKE_ENV=	LIBGLADE_CONFIG="${LI
 libglade_DETECT=	${LIBGLADE_CONFIG}
 libglade_USE_GNOME_IMPL=gnomedb
 
-_glib20_LIB_DEPENDS=	glib-2.0:${PORTSDIR}/devel/glib20 \
+glib20_LIB_DEPENDS=	glib-2.0:${PORTSDIR}/devel/glib20 \
 			pcre:${PORTSDIR}/devel/pcre
-_glib20_DETECT=		${LOCALBASE}/libdata/pkgconfig/glib-2.0.pc
+glib20_DETECT=		${LOCALBASE}/libdata/pkgconfig/glib-2.0.pc
 
-glib20_RUN_DEPENDS=	${LOCALBASE}/lib/gio/modules/libgiofam.so:${PORTSDIR}/devel/gio-fam-backend
-glib20_DETECT=		${LOCALBASE}/lib/gio/modules/libgiofam.so
-glib20_USE_GNOME_IMPL=	_glib20
-
-atk_LIB_DEPENDS=	atk-1.0.0:${PORTSDIR}/accessibility/atk
+atk_LIB_DEPENDS=	atk-1.0:${PORTSDIR}/accessibility/atk
 atk_DETECT=		${LOCALBASE}/libdata/pkgconfig/atk.pc
 atk_USE_GNOME_IMPL=	glib20
 
-dconf_LIB_DEPENDS=	dconf.0:${PORTSDIR}/devel/dconf
+dconf_LIB_DEPENDS=	dconf:${PORTSDIR}/devel/dconf
 dconf_DETECT=		${LOCALBASE}/libdata/pkgconfig/dconf.pc
 dconf_USE_GNOME_IMPL=	glib20
 
-pango_LIB_DEPENDS=	pango-1.0.0:${PORTSDIR}/x11-toolkits/pango
+pango_LIB_DEPENDS=	pango-1.0:${PORTSDIR}/x11-toolkits/pango
 pango_DETECT=		${LOCALBASE}/libdata/pkgconfig/pango.pc
 pango_USE_GNOME_IMPL=	glib20
 
-gdkpixbuf2_LIB_DEPENDS=	gdk_pixbuf-2.0.0:${PORTSDIR}/graphics/gdk-pixbuf2
+pangox-compat_LIB_DEPENDS=	pangox-1.0:${PORTSDIR}/x11-toolkits/pangox-compat
+pangox-compat_DETECT=		${LOCALBASE}/libdata/pkgconfig/pangox.pc
+pangox-compat_USE_GNOME_IMPL=	glib20 pango
+
+gdkpixbuf2_LIB_DEPENDS=	gdk_pixbuf-2.0:${PORTSDIR}/graphics/gdk-pixbuf2
 gdkpixbuf2_DETECT=	${LOCALBASE}/libdata/pkgconfig/gdk-pixbuf-2.0.pc
 gdkpixbuf2_USE_GNOME_IMPL=glib20
 
@@ -380,6 +380,12 @@ libbonobo_LIB_DEPENDS=	bonobo-2.0:${PORT
 libbonobo_DETECT=	${LOCALBASE}/libdata/pkgconfig/libbonobo-2.0.pc
 libbonobo_USE_GNOME_IMPL=libxml2 orbit2
 
+introspection_BUILD_DEPENDS=	g-ir-scanner:${PORTSDIR}/devel/gobject-introspection
+introspection_RUN_DEPENDS=	g-ir-scanner:${PORTSDIR}/devel/gobject-introspection
+introspection_DETECT=		${LOCALBASE}/libdata/pkgconfig/gobject-introspection-1.0.pc
+introspection_USE_GNOME_IMPL=	glib20
+introspection_MAKE_ENV=		GI_SCANNER_DISABLE_CACHE=1
+
 gconf2_LIB_DEPENDS=	gconf-2.4:${PORTSDIR}/devel/gconf2
 gconf2_DETECT=		${LOCALBASE}/libdata/pkgconfig/gconf-2.0.pc
 gconf2_USE_GNOME_IMPL=	orbit2 libxml2 gtk20

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Wed Jul 31 11:56:17 2013	(r324036)
+++ head/UPDATING	Wed Jul 31 11:57:45 2013	(r324037)
@@ -5,6 +5,32 @@ they are unavoidable.
 You should get into the habit of checking this file for changes each time
 you update your ports collection, before attempting any port upgrades.
 
+20130731:
+  AFFECTS: users of glib20
+  AUTHOR: kwm@FreeBSD.org
+
+  The devel/gio-fam-backend port was removed in the glib 2.36 update.
+  Since the gio-fam-backend port was used in USE_GNOME=glib20, all
+  dependencies need to rebuilt. The removal of gio-fam-backend isn't critical,
+  glib20 using programs should work just fine if the port is still installed.
+  It is not clear however, if glib20 will use the new kqueue backend or the old
+  fam backend.
+
+  Note that users of pkg packages can just run the pkg delete command after
+  there next update.
+
+  # portmaster -f gio-fam-backend
+  or
+  # portupgrade -rf gio-fam-backend
+  
+  # pkg delete gio-fam-backend
+  or
+  # pkg_delete gio-fam-backend
+
+  # portmaster -a
+  or
+  # portupgrade -a
+
 20130726:
   AFFECTS: users of Qt 3 and KDE 3
   AUTHOR: rene@FreeBSD.org

Modified: head/accessibility/at-spi2-atk/Makefile
==============================================================================
--- head/accessibility/at-spi2-atk/Makefile	Wed Jul 31 11:56:17 2013	(r324036)
+++ head/accessibility/at-spi2-atk/Makefile	Wed Jul 31 11:57:45 2013	(r324037)
@@ -1,9 +1,9 @@
 # Created by: Maxim Sobolev <sobomax@FreeBSD.org>
 # $FreeBSD$
-#   $MCom: ports/accessibility/at-spi2-atk/Makefile,v 1.38 2012/12/16 22:36:25 kwm Exp $
+#   $MCom: ports/trunk/accessibility/at-spi2-atk/Makefile 18634 2013-07-26 10:42:35Z kwm $
 
 PORTNAME=	at-spi2-atk
-PORTVERSION=	2.6.2
+PORTVERSION=	2.8.0
 CATEGORIES=	accessibility x11-toolkits
 MASTER_SITES=	GNOME
 DIST_SUBDIR=	gnome3
@@ -13,21 +13,19 @@ COMMENT=	Assisted Technology Provider mo
 
 LICENSE=	LGPL21
 
-BUILD_DEPENDS=	at-spi2-core>=2.1.4:${PORTSDIR}/accessibility/at-spi2-core
+BUILD_DEPENDS=	at-spi2-core>=2.8.0:${PORTSDIR}/accessibility/at-spi2-core
 LIB_DEPENDS=	dbus-1:${PORTSDIR}/devel/dbus
-RUN_DEPENDS=	at-spi2-core>=2.1.4:${PORTSDIR}/accessibility/at-spi2-core
+RUN_DEPENDS=	at-spi2-core>=2.8.0:${PORTSDIR}/accessibility/at-spi2-core
 
 PORTSCOUT=	limitw:1,even
 
-USES=		pkgconfig pathfix
 USE_XZ=		yes
-USE_GMAKE=	yes
+USES=		gmake pathfix pkgconfig
 USE_GNOME=	gnomehier intlhack glib20 atk
 GNU_CONFIGURE=	yes
 USE_LDCONFIG=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 CONFIGURE_ARGS=	--enable-p2p
-GLIB_SCHEMAS=	org.a11y.atspi.gschema.xml
 
 .include <bsd.port.mk>

Modified: head/accessibility/at-spi2-atk/distinfo
==============================================================================
--- head/accessibility/at-spi2-atk/distinfo	Wed Jul 31 11:56:17 2013	(r324036)
+++ head/accessibility/at-spi2-atk/distinfo	Wed Jul 31 11:57:45 2013	(r324037)
@@ -1,2 +1,2 @@
-SHA256 (gnome3/at-spi2-atk-2.6.2.tar.xz) = 496c8432e8ab82735145f9af5d45209e9b708bf3c94e527ee091d08641a9bcfa
-SIZE (gnome3/at-spi2-atk-2.6.2.tar.xz) = 274748
+SHA256 (gnome3/at-spi2-atk-2.8.0.tar.xz) = 4688acbc1474cda0aa49341f109ad0726603ce3e872cc6521c74931338c7ba20
+SIZE (gnome3/at-spi2-atk-2.8.0.tar.xz) = 267368

Modified: head/accessibility/at-spi2-core/Makefile
==============================================================================
--- head/accessibility/at-spi2-core/Makefile	Wed Jul 31 11:56:17 2013	(r324036)
+++ head/accessibility/at-spi2-core/Makefile	Wed Jul 31 11:57:45 2013	(r324037)
@@ -1,9 +1,9 @@
 # Created by: Maxim Sobolev <sobomax@FreeBSD.org>
 # $FreeBSD$
-#   $MCom: ports/accessibility/at-spi2-core/Makefile,v 1.41 2012/12/16 22:36:25 kwm Exp $
+#   $MCom: ports/trunk/accessibility/at-spi2-core/Makefile 18634 2013-07-26 10:42:35Z kwm $
 
 PORTNAME=	at-spi2-core
-PORTVERSION=	2.6.3
+PORTVERSION=	2.8.0
 CATEGORIES=	accessibility x11-toolkits
 MASTER_SITES=	GNOME
 DIST_SUBDIR=	gnome3
@@ -13,15 +13,13 @@ COMMENT=	Assistive Technology Service Pr
 
 LICENSE=	LGPL21
 
-BUILD_DEPENDS=	g-ir-scanner:${PORTSDIR}/devel/gobject-introspection
 LIB_DEPENDS=	dbus-1:${PORTSDIR}/devel/dbus
 
 PORTSCOUT=	limitw:1,even
 
-USES=		pathfix pkgconfig gettext
+USES=		gettext gmake pathfix pkgconfig
 USE_XZ=		yes
-USE_GMAKE=	yes
-USE_GNOME=	gnomehier glib20 intlhack
+USE_GNOME=	gnomehier glib20 intlhack introspection:build
 USE_XORG=	x11 xi xtst xext
 USE_LDCONFIG=	yes
 GNU_CONFIGURE=	yes

Modified: head/accessibility/at-spi2-core/distinfo
==============================================================================
--- head/accessibility/at-spi2-core/distinfo	Wed Jul 31 11:56:17 2013	(r324036)
+++ head/accessibility/at-spi2-core/distinfo	Wed Jul 31 11:57:45 2013	(r324037)
@@ -1,2 +1,2 @@
-SHA256 (gnome3/at-spi2-core-2.6.3.tar.xz) = fc4487ae46e847cfd057b329b852cf99923772ecd2ddc29f29670c9f2b15d0ea
-SIZE (gnome3/at-spi2-core-2.6.3.tar.xz) = 445084
+SHA256 (gnome3/at-spi2-core-2.8.0.tar.xz) = 1861a30fc7f583d5a567a0ba547db67ce9bd294f0d1c9f7403c96a10a481c458
+SIZE (gnome3/at-spi2-core-2.8.0.tar.xz) = 436836

Modified: head/accessibility/at-spi2-core/pkg-plist
==============================================================================
--- head/accessibility/at-spi2-core/pkg-plist	Wed Jul 31 11:56:17 2013	(r324036)
+++ head/accessibility/at-spi2-core/pkg-plist	Wed Jul 31 11:57:45 2013	(r324037)
@@ -133,6 +133,7 @@ share/locale/sr@latin/LC_MESSAGES/at-spi
 share/locale/sv/LC_MESSAGES/at-spi2-core.mo
 share/locale/ta/LC_MESSAGES/at-spi2-core.mo
 share/locale/te/LC_MESSAGES/at-spi2-core.mo
+share/locale/tg/LC_MESSAGES/at-spi2-core.mo
 share/locale/tr/LC_MESSAGES/at-spi2-core.mo
 share/locale/ug/LC_MESSAGES/at-spi2-core.mo
 share/locale/uk/LC_MESSAGES/at-spi2-core.mo

Modified: head/accessibility/atk/Makefile
==============================================================================
--- head/accessibility/atk/Makefile	Wed Jul 31 11:56:17 2013	(r324036)
+++ head/accessibility/atk/Makefile	Wed Jul 31 11:57:45 2013	(r324037)
@@ -1,9 +1,9 @@
 # Created by: Maxim Sobolev <sobomax@FreeBSD.org>
 # $FreeBSD$
-#   $MCom: ports/accessibility/atk/Makefile,v 1.123 2012/10/07 09:00:37 kwm Exp $
+#   $MCom: ports/trunk/accessibility/atk/Makefile 18634 2013-07-26 10:42:35Z kwm $
 
 PORTNAME=	atk
-PORTVERSION=	2.6.0
+PORTVERSION=	2.8.0
 PORTREVISION?=	0
 CATEGORIES=	accessibility devel
 MASTER_SITES=	GNOME
@@ -16,15 +16,11 @@ USE_XZ=		yes
 
 .if !defined(REFERENCE_PORT)
 
-BUILD_DEPENDS=	g-ir-scanner:${PORTSDIR}/devel/gobject-introspection
-
-USES=		pathfix pkgconfig gettext
-USE_GMAKE=	yes
 USE_LDCONFIG=	yes
 USE_AUTOTOOLS=	libtool
-USE_GNOME=	gnomehier glib20 ltverhack referencehack
-CONFIGURE_ARGS=	--enable-static \
-		--with-html-dir=${PREFIX}/share/doc
+USES=		gettext gmake pathfix pkgconfig
+USE_GNOME=	gnomehier glib20 ltverhack referencehack introspection:build
+CONFIGURE_ARGS=	--with-html-dir=${PREFIX}/share/doc
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 CONFIGURE_ENV=	AUTOCONF=${TRUE} AUTOMAKE=${TRUE}

Modified: head/accessibility/atk/distinfo
==============================================================================
--- head/accessibility/atk/distinfo	Wed Jul 31 11:56:17 2013	(r324036)
+++ head/accessibility/atk/distinfo	Wed Jul 31 11:57:45 2013	(r324037)
@@ -1,2 +1,2 @@
-SHA256 (gnome2/atk-2.6.0.tar.xz) = eff663f90847620bb68c9c2cbaaf7f45e2ff44163b9ab3f10d15be763680491f
-SIZE (gnome2/atk-2.6.0.tar.xz) = 609136
+SHA256 (gnome2/atk-2.8.0.tar.xz) = b22519176226f3e07cf6d932b77852e6b6be4780977770704b32d0f4e0686df4
+SIZE (gnome2/atk-2.8.0.tar.xz) = 634052

Modified: head/accessibility/atk/pkg-plist
==============================================================================
--- head/accessibility/atk/pkg-plist	Wed Jul 31 11:56:17 2013	(r324036)
+++ head/accessibility/atk/pkg-plist	Wed Jul 31 11:57:45 2013	(r324037)
@@ -28,6 +28,7 @@ include/atk-1.0/atk/atktable.h
 include/atk-1.0/atk/atktext.h
 include/atk-1.0/atk/atkutil.h
 include/atk-1.0/atk/atkvalue.h
+include/atk-1.0/atk/atkversion.h
 include/atk-1.0/atk/atkwindow.h
 lib/girepository-1.0/Atk-1.0.typelib
 lib/libatk-1.0.a
@@ -117,6 +118,7 @@ share/locale/sr@latin/LC_MESSAGES/atk10.
 share/locale/sv/LC_MESSAGES/atk10.mo
 share/locale/ta/LC_MESSAGES/atk10.mo
 share/locale/te/LC_MESSAGES/atk10.mo
+share/locale/tg/LC_MESSAGES/atk10.mo
 share/locale/th/LC_MESSAGES/atk10.mo
 share/locale/tk/LC_MESSAGES/atk10.mo
 share/locale/tr/LC_MESSAGES/atk10.mo

Modified: head/accessibility/py-atspi/Makefile
==============================================================================
--- head/accessibility/py-atspi/Makefile	Wed Jul 31 11:56:17 2013	(r324036)
+++ head/accessibility/py-atspi/Makefile	Wed Jul 31 11:57:45 2013	(r324037)
@@ -1,31 +1,26 @@
-# New ports collection makefile for:   at-spi
-# Date Created:			12 April 2002
-# Whom:				Maxim Sobolev <sobomax@FreeBSD.org>
-#
+# Created by: Maxim Sobolev <sobomax@FreeBSD.org>
 # $FreeBSD$
-#   $MCom: ports/accessibility/py-atspi/Makefile,v 1.13 2010/11/16 11:55:55 kwm Exp $
-#
+#   $MCom: ports/trunk/accessibility/py-atspi/Makefile 18610 2013-06-30 16:33:05Z marcus $
 
 PORTNAME=	atspi
-PORTVERSION=	0.4.1
-PORTREVISION=	1
+PORTVERSION=	2.8.0
 CATEGORIES=	accessibility x11-toolkits python
 MASTER_SITES=	GNOME
-MASTER_SITE_SUBDIR=     sources/pyatspi/${PORTVERSION:C/^([0-9]+\.[0-9]+).*/\1/}
+MASTER_SITE_SUBDIR=	sources/pyatspi/${PORTVERSION:C/^([0-9]+\.[0-9]+).*/\1/}
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 DISTNAME=	pyatspi-${PORTVERSION}
-DIST_SUBDIR=	gnome2
+DIST_SUBDIR=	gnome3
 
 MAINTAINER=	gnome@FreeBSD.org
 COMMENT=	Python API for the D-BUS based SPI framework
 
-LIB_DEPENDS=	dbus-glib-1.2:${PORTSDIR}/devel/dbus-glib
 RUN_DEPENDS=	${LOCALBASE}/libexec/at-spi2-registryd:${PORTSDIR}/accessibility/at-spi2-core
 
-USE_BZIP2=	yes
-USES=		gettext
-USE_GMAKE=	yes
-USE_GNOME=	gnomehack gnomehier intlhack gtk20 libxml2
+CONFLICTS=	at-spi-1.[0-9]*
+
+USE_XZ=		yes
+USES=		gettext gmake pathfix pkgconfig
+USE_GNOME=	gnomehier intlhack pygobject3
 GNU_CONFIGURE=	yes
 USE_PYTHON=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include

Modified: head/accessibility/py-atspi/distinfo
==============================================================================
--- head/accessibility/py-atspi/distinfo	Wed Jul 31 11:56:17 2013	(r324036)
+++ head/accessibility/py-atspi/distinfo	Wed Jul 31 11:57:45 2013	(r324037)
@@ -1,2 +1,2 @@
-SHA256 (gnome2/pyatspi-0.4.1.tar.bz2) = 2d9672e0ca6277c491a0b35421691d96618d9c02e687851ce418811379aa4a2e
-SIZE (gnome2/pyatspi-0.4.1.tar.bz2) = 311019
+SHA256 (gnome3/pyatspi-2.8.0.tar.xz) = f1695670f13c804898f959e3e7fc517db1c7f1079c051d10e22a35889524fd17
+SIZE (gnome3/pyatspi-2.8.0.tar.xz) = 287352

Modified: head/accessibility/py-atspi/pkg-plist
==============================================================================
--- head/accessibility/py-atspi/pkg-plist	Wed Jul 31 11:56:17 2013	(r324036)
+++ head/accessibility/py-atspi/pkg-plist	Wed Jul 31 11:57:45 2013	(r324037)
@@ -1,98 +1,70 @@
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/Accessibility.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/Accessibility.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/Accessibility.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/__init__.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/__init__.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/__init__.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/accessible.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/accessible.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/accessible.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/action.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/action.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/action.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/appevent.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/appevent.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/appevent.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/application.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/application.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/application.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/busutils/__init__.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/busutils/__init__.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/busutils/__init__.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/busutils/bus.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/busutils/bus.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/busutils/bus.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/busutils/proxy.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/busutils/proxy.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/busutils/proxy.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/cache.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/cache.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/cache.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/collection.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/collection.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/collection.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/component.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/component.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/component.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/constants.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/constants.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/constants.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/deviceevent.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/deviceevent.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/deviceevent.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/document.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/document.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/document.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/editabletext.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/editabletext.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/editabletext.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/enum.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/enum.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/enum.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/exceptions.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/exceptions.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/exceptions.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/factory.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/factory.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/factory.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/hyperlink.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/hyperlink.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/hyperlink.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/hypertext.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/hypertext.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/hypertext.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/image.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/image.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/image.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/interfaces.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/interfaces.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/interfaces.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/registry.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/registry.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/registry.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/relation.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/relation.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/relation.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/role.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/role.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/role.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/selection.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/selection.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/selection.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/state.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/state.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/state.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/table.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/table.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/table.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/text.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/text.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/text.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/utils.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/utils.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/utils.pyo
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/value.py
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/value.pyc
-%%PYTHON_SITELIBDIR%%/pyatspi_dbus/value.pyo
-@dirrm %%PYTHON_SITELIBDIR%%/pyatspi_dbus/busutils
-@dirrm %%PYTHON_SITELIBDIR%%/pyatspi_dbus
+%%PYTHON_SITELIBDIR%%/pyatspi/Accessibility.py
+%%PYTHON_SITELIBDIR%%/pyatspi/Accessibility.pyc
+%%PYTHON_SITELIBDIR%%/pyatspi/Accessibility.pyo
+%%PYTHON_SITELIBDIR%%/pyatspi/__init__.py
+%%PYTHON_SITELIBDIR%%/pyatspi/__init__.pyc
+%%PYTHON_SITELIBDIR%%/pyatspi/__init__.pyo
+%%PYTHON_SITELIBDIR%%/pyatspi/action.py
+%%PYTHON_SITELIBDIR%%/pyatspi/action.pyc
+%%PYTHON_SITELIBDIR%%/pyatspi/action.pyo
+%%PYTHON_SITELIBDIR%%/pyatspi/appevent.py
+%%PYTHON_SITELIBDIR%%/pyatspi/appevent.pyc
+%%PYTHON_SITELIBDIR%%/pyatspi/appevent.pyo
+%%PYTHON_SITELIBDIR%%/pyatspi/application.py
+%%PYTHON_SITELIBDIR%%/pyatspi/application.pyc
+%%PYTHON_SITELIBDIR%%/pyatspi/application.pyo
+%%PYTHON_SITELIBDIR%%/pyatspi/collection.py
+%%PYTHON_SITELIBDIR%%/pyatspi/collection.pyc
+%%PYTHON_SITELIBDIR%%/pyatspi/collection.pyo
+%%PYTHON_SITELIBDIR%%/pyatspi/component.py
+%%PYTHON_SITELIBDIR%%/pyatspi/component.pyc
+%%PYTHON_SITELIBDIR%%/pyatspi/component.pyo
+%%PYTHON_SITELIBDIR%%/pyatspi/constants.py
+%%PYTHON_SITELIBDIR%%/pyatspi/constants.pyc
+%%PYTHON_SITELIBDIR%%/pyatspi/constants.pyo
+%%PYTHON_SITELIBDIR%%/pyatspi/deviceevent.py
+%%PYTHON_SITELIBDIR%%/pyatspi/deviceevent.pyc
+%%PYTHON_SITELIBDIR%%/pyatspi/deviceevent.pyo
+%%PYTHON_SITELIBDIR%%/pyatspi/document.py
+%%PYTHON_SITELIBDIR%%/pyatspi/document.pyc
+%%PYTHON_SITELIBDIR%%/pyatspi/document.pyo
+%%PYTHON_SITELIBDIR%%/pyatspi/editabletext.py
+%%PYTHON_SITELIBDIR%%/pyatspi/editabletext.pyc
+%%PYTHON_SITELIBDIR%%/pyatspi/editabletext.pyo
+%%PYTHON_SITELIBDIR%%/pyatspi/enum.py
+%%PYTHON_SITELIBDIR%%/pyatspi/enum.pyc
+%%PYTHON_SITELIBDIR%%/pyatspi/enum.pyo
+%%PYTHON_SITELIBDIR%%/pyatspi/hypertext.py
+%%PYTHON_SITELIBDIR%%/pyatspi/hypertext.pyc
+%%PYTHON_SITELIBDIR%%/pyatspi/hypertext.pyo
+%%PYTHON_SITELIBDIR%%/pyatspi/image.py
+%%PYTHON_SITELIBDIR%%/pyatspi/image.pyc
+%%PYTHON_SITELIBDIR%%/pyatspi/image.pyo
+%%PYTHON_SITELIBDIR%%/pyatspi/interface.py
+%%PYTHON_SITELIBDIR%%/pyatspi/interface.pyc
+%%PYTHON_SITELIBDIR%%/pyatspi/interface.pyo
+%%PYTHON_SITELIBDIR%%/pyatspi/registry.py
+%%PYTHON_SITELIBDIR%%/pyatspi/registry.pyc
+%%PYTHON_SITELIBDIR%%/pyatspi/registry.pyo
+%%PYTHON_SITELIBDIR%%/pyatspi/role.py
+%%PYTHON_SITELIBDIR%%/pyatspi/role.pyc
+%%PYTHON_SITELIBDIR%%/pyatspi/role.pyo
+%%PYTHON_SITELIBDIR%%/pyatspi/selection.py
+%%PYTHON_SITELIBDIR%%/pyatspi/selection.pyc
+%%PYTHON_SITELIBDIR%%/pyatspi/selection.pyo
+%%PYTHON_SITELIBDIR%%/pyatspi/state.py
+%%PYTHON_SITELIBDIR%%/pyatspi/state.pyc
+%%PYTHON_SITELIBDIR%%/pyatspi/state.pyo
+%%PYTHON_SITELIBDIR%%/pyatspi/table.py
+%%PYTHON_SITELIBDIR%%/pyatspi/table.pyc
+%%PYTHON_SITELIBDIR%%/pyatspi/table.pyo
+%%PYTHON_SITELIBDIR%%/pyatspi/text.py
+%%PYTHON_SITELIBDIR%%/pyatspi/text.pyc
+%%PYTHON_SITELIBDIR%%/pyatspi/text.pyo
+%%PYTHON_SITELIBDIR%%/pyatspi/utils.py
+%%PYTHON_SITELIBDIR%%/pyatspi/utils.pyc
+%%PYTHON_SITELIBDIR%%/pyatspi/utils.pyo
+%%PYTHON_SITELIBDIR%%/pyatspi/value.py
+%%PYTHON_SITELIBDIR%%/pyatspi/value.pyc
+%%PYTHON_SITELIBDIR%%/pyatspi/value.pyo
+@dirrm %%PYTHON_SITELIBDIR%%/pyatspi

Modified: head/audio/openal/Makefile
==============================================================================
--- head/audio/openal/Makefile	Wed Jul 31 11:56:17 2013	(r324036)
+++ head/audio/openal/Makefile	Wed Jul 31 11:57:45 2013	(r324037)
@@ -16,6 +16,7 @@ CONFLICTS=	openal-soft-[0-9]*
 USE_AUTOTOOLS=	libtool
 GNU_CONFIGURE=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include
+CFLAGS+=	-Wno-return-type
 LDFLAGS+=	-L${LOCALBASE}/lib
 CONFIGURE_ARGS=	--enable-capture \
 		--disable-arts

Modified: head/chinese/fcitx/Makefile
==============================================================================
--- head/chinese/fcitx/Makefile	Wed Jul 31 11:56:17 2013	(r324036)
+++ head/chinese/fcitx/Makefile	Wed Jul 31 11:57:45 2013	(r324037)
@@ -4,7 +4,7 @@
 PORTNAME=	fcitx
 PORTVERSION=	4.2.6.1
 CATEGORIES=	chinese x11
-PORTREVISION=	1
+PORTREVISION=	2
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 DISTFILES=	${DISTNAME}${EXTRACT_SUFX} \
 		pinyin.tar.gz table.tar.gz en_dict-${_DICT_VER}.tar.gz
@@ -30,10 +30,10 @@ SUB_LIST+=	PORTSDIR=${PORTSDIR}
 CONFLICTS=	zh-scim-fcitx-3.*
 
 USE_XZ=		yes
-USE_GNOME=	pango intltool libxml2 gnomehack
+USE_GNOME=	pango intltool libxml2 introspection
 USE_XORG=	x11 xext xkbfile
 USE_LDCONFIG=	yes
-USES=		cmake gettext
+USES=		cmake gettext pathfix
 INSTALLS_ICONS=	yes
 
 OPTIONS_DEFINE=	GTK2 GTK3 QT4 OPENCC TPUNC

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Wed Jul 31 11:56:17 2013	(r324036)
+++ head/devel/Makefile	Wed Jul 31 11:57:45 2013	(r324037)
@@ -548,7 +548,6 @@
     SUBDIR += gflags
     SUBDIR += giggle
     SUBDIR += gindent
-    SUBDIR += gio-fam-backend
     SUBDIR += gio-sharp
     SUBDIR += git
     SUBDIR += git-merge-changelog

Modified: head/devel/dconf-editor/Makefile
==============================================================================
--- head/devel/dconf-editor/Makefile	Wed Jul 31 11:56:17 2013	(r324036)
+++ head/devel/dconf-editor/Makefile	Wed Jul 31 11:57:45 2013	(r324037)
@@ -1,8 +1,9 @@
 # Created by: Koop Mast <kwm@FreeBSD.org>
 # $FreeBSD$
-#   $MCom: ports/devel/dconf-editor/Makefile,v 1.2 2012/12/16 22:43:23 kwm Exp $
+#   $MCom: ports/trunk/devel/dconf-editor/Makefile 18422 2013-05-06 11:04:38Z kwm $
 
 PORTNAME=	dconf
+PORTREVISION=	0
 PKGNAMESUFFIX=	-editor
 
 COMMENT=	configuration editor for dconf

Modified: head/devel/dconf/Makefile
==============================================================================
--- head/devel/dconf/Makefile	Wed Jul 31 11:56:17 2013	(r324036)
+++ head/devel/dconf/Makefile	Wed Jul 31 11:57:45 2013	(r324037)
@@ -1,10 +1,10 @@
 # Created by: Koop Mast <kwm@FreeBSD.org>
 # $FreeBSD$
-#   $MCom: ports/devel/dconf/Makefile,v 1.30 2012/10/03 17:57:17 kwm Exp $
+#   $MCom: ports/trunk/devel/dconf/Makefile 18634 2013-07-26 10:42:35Z kwm $
 
 PORTNAME?=	dconf
-PORTVERSION=	0.12.1
-PORTREVISION=	1
+PORTVERSION=	0.14.1
+PORTREVISION=	0
 CATEGORIES=	devel gnome
 MASTER_SITES=	GNOME
 DISTNAME=	dconf-${PORTVERSION}
@@ -13,12 +13,14 @@ DIST_SUBDIR=	gnome3
 MAINTAINER=	gnome@FreeBSD.org
 COMMENT=	A configuration database system for GNOME
 
-BUILD_DEPENDS=	vala>=0.15.1:${PORTSDIR}/lang/vala
+BUILD_DEPENDS=	vala>=0.18.1:${PORTSDIR}/lang/vala \
+		docbook-xsl>=0:${PORTSDIR}/textproc/docbook-xsl
+
 LIB_DEPENDS=	dbus-1:${PORTSDIR}/devel/dbus
 
 USE_XZ=		yes
-USE_GMAKE=	yes
-USE_GNOME=	gnomehack glib20 gnomehier
+USES=		gettext gmake pathfix pkgconfig
+USE_GNOME=	glib20 gnomehier intltool
 USE_LDCONFIG=	yes
 GNU_CONFIGURE=	yes
 MAKE_JOBS_UNSAFE=	yes
@@ -36,6 +38,11 @@ LIB_DEPENDS+=	dconf:${PORTSDIR}/devel/dc
 CONFIGURE_ARGS+=--disable-editor
 .endif
 
+.if ${DCONF_SLAVE} == "no"
+MAN1=		dconf-editor.1 dconf-service.1 dconf.1
+MAN7=		dconf.7
+.endif
+
 post-patch:
 	@${REINPLACE_CMD} -e 's|/etc/|${PREFIX}/etc/|g' \
 		${WRKSRC}/engine/dconf-engine.c \

Modified: head/devel/dconf/distinfo
==============================================================================
--- head/devel/dconf/distinfo	Wed Jul 31 11:56:17 2013	(r324036)
+++ head/devel/dconf/distinfo	Wed Jul 31 11:57:45 2013	(r324037)
@@ -1,2 +1,2 @@
-SHA256 (gnome3/dconf-0.12.1.tar.xz) = 3cd32b78d88ed7be90dace5d45e2cf8a6abdb253d43dbfa5ef52103b329dc214
-SIZE (gnome3/dconf-0.12.1.tar.xz) = 202112
+SHA256 (gnome3/dconf-0.14.1.tar.xz) = 59c58c5eafa0ebd616287d078f4441d5342870a44634445d324e88fc0287f0b8
+SIZE (gnome3/dconf-0.14.1.tar.xz) = 291300

Modified: head/devel/dconf/files/patch-client_Makefile.in
==============================================================================
--- head/devel/dconf/files/patch-client_Makefile.in	Wed Jul 31 11:56:17 2013	(r324036)
+++ head/devel/dconf/files/patch-client_Makefile.in	Wed Jul 31 11:57:45 2013	(r324037)
@@ -1,37 +1,40 @@
---- client/Makefile.in.orig	2012-05-28 13:27:17.000000000 +0200
-+++ client/Makefile.in	2012-05-28 13:31:25.000000000 +0200
-@@ -34,7 +34,7 @@
- NORMAL_UNINSTALL = :
- PRE_UNINSTALL = :
- POST_UNINSTALL = :
--shlib_PROGRAMS = libdconf.so.0.0.0$(EXEEXT)
-+shlib_PROGRAMS = libdconf.so.0$(EXEEXT)
+--- client/Makefile.orig.in	2013-03-26 19:40:26.085263743 +0000
++++ client/Makefile.in	2013-03-26 19:40:33.384265230 +0000
+@@ -55,7 +55,7 @@
+ DIST_COMMON = $(dconfclientinclude_HEADERS) $(dconfinclude_HEADERS) \
+ 	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
+ 	$(srcdir)/dconf.pc.in $(top_srcdir)/Makefile.gtester
+-shlib_PROGRAMS = libdconf.so.1.0.0$(EXEEXT)
++shlib_PROGRAMS = libdconf.so.1$(EXEEXT)
  subdir = client
- DIST_COMMON = $(dconfinclude_HEADERS) $(srcdir)/Makefile.am \
- 	$(srcdir)/Makefile.in $(srcdir)/dconf.pc.in dconf-client.c \
-@@ -332,9 +332,10 @@
+ ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
+ am__aclocal_m4_deps = $(top_srcdir)/configure.ac
+@@ -416,12 +416,12 @@
  
  clean-shlibPROGRAMS:
  	-test -z "$(shlib_PROGRAMS)" || rm -f $(shlib_PROGRAMS)
--libdconf.so.0.0.0$(EXEEXT): $(libdconf_so_0_0_0_OBJECTS) $(libdconf_so_0_0_0_DEPENDENCIES) $(EXTRA_libdconf_so_0_0_0_DEPENDENCIES) 
-+libdconf.so.0$(EXEEXT): $(libdconf_so_0_0_0_OBJECTS) $(libdconf_so_0_0_0_DEPENDENCIES) $(EXTRA_libdconf_so_0_0_0_DEPENDENCIES) 
- 	@rm -f libdconf.so.0.0.0$(EXEEXT)
- 	$(AM_V_CCLD)$(libdconf_so_0_0_0_LINK) $(libdconf_so_0_0_0_OBJECTS) $(libdconf_so_0_0_0_LDADD) $(LIBS)
-+	$(AM_V_GEN) ln -fs libdconf.so.0 libdconf.so
+-libdconf.so.1.0.0$(EXEEXT): $(libdconf_so_1_0_0_OBJECTS) $(libdconf_so_1_0_0_DEPENDENCIES) $(EXTRA_libdconf_so_1_0_0_DEPENDENCIES) 
++libdconf.so.1$(EXEEXT): $(libdconf_so_1_0_0_OBJECTS) $(libdconf_so_1_0_0_DEPENDENCIES) $(EXTRA_libdconf_so_1_0_0_DEPENDENCIES) 
+ 	@rm -f libdconf.so.1.0.0$(EXEEXT)
+ 	$(AM_V_CCLD)$(libdconf_so_1_0_0_LINK) $(libdconf_so_1_0_0_OBJECTS) $(libdconf_so_1_0_0_LDADD) $(LIBS)
++	$(AM_V_GEN) ln -fs libdconf.so.1 libdconf.so
  
  mostlyclean-compile:
- 	-rm -f *.$(OBJEXT)
-@@ -695,12 +696,8 @@
- 	uninstall-vapiDATA
+-	-rm -f *.$(OBJEXT)
  
+ distclean-compile:
+ 	-rm -f *.tab.c
+@@ -838,12 +838,8 @@
+ # run tests in cwd as part of make check
+ check-local: test-nonrecursive
  
--libdconf.so.0 libdconf.so: libdconf.so.0.0.0
--	$(AM_V_GEN) ln -fs libdconf.so.0.0.0 $@
+-libdconf.so.1 libdconf.so: libdconf.so.1.0.0
+-	$(AM_V_GEN) ln -fs libdconf.so.1.0.0 $@
 -
  install-data-hook:
--	ln -fs libdconf.so.0.0.0 $(DESTDIR)$(shlibdir)/libdconf.so.0
--	ln -fs libdconf.so.0.0.0 $(DESTDIR)$(shlibdir)/libdconf.so
-+	ln -fs libdconf.so.0 $(DESTDIR)$(shlibdir)/libdconf.so
+-	ln -fs libdconf.so.1.0.0 $(DESTDIR)$(shlibdir)/libdconf.so.1
+-	ln -fs libdconf.so.1.0.0 $(DESTDIR)$(shlibdir)/libdconf.so
++	ln -fs libdconf.so.1 $(DESTDIR)$(shlibdir)/libdconf.so
  
  uninstall-hook:
- 	rm -f $(DESTDIR)$(shlibdir)/libdconf.so.0
+ 	rm -f $(DESTDIR)$(shlibdir)/libdconf.so.1

Modified: head/devel/dconf/files/patch-dbus-1_Makefile.in
==============================================================================
--- head/devel/dconf/files/patch-dbus-1_Makefile.in	Wed Jul 31 11:56:17 2013	(r324036)
+++ head/devel/dconf/files/patch-dbus-1_Makefile.in	Wed Jul 31 11:57:45 2013	(r324037)
@@ -1,27 +1,28 @@
---- dbus-1/Makefile.in.orig	2012-05-28 13:31:56.000000000 +0200
-+++ dbus-1/Makefile.in	2012-05-28 13:35:25.000000000 +0200
-@@ -34,7 +34,7 @@
- NORMAL_UNINSTALL = :
- PRE_UNINSTALL = :
- POST_UNINSTALL = :
+--- dbus-1/Makefile.orig.in	2013-03-26 19:18:48.870352031 +0000
++++ dbus-1/Makefile.in	2013-03-26 19:18:57.583352154 +0000
+@@ -55,7 +55,7 @@
+ DIST_COMMON = $(dconf_dbus_1include_HEADERS) $(srcdir)/Makefile.am \
+ 	$(srcdir)/Makefile.in $(srcdir)/dconf-dbus-1.pc.in \
+ 	$(top_srcdir)/Makefile.gtester
 -shlib_PROGRAMS = libdconf-dbus-1.so.0.0.0$(EXEEXT)
 +shlib_PROGRAMS = libdconf-dbus-1.so.0$(EXEEXT)
  subdir = dbus-1
- DIST_COMMON = $(dconf_dbus_1include_HEADERS) $(srcdir)/Makefile.am \
- 	$(srcdir)/Makefile.in $(srcdir)/dconf-dbus-1.pc.in
-@@ -246,7 +246,7 @@
- 	../gvdb/gvdb-reader.c		\
- 	dconf-dbus-1.c
- 
--noinst_DATA = libdconf-dbus-1.so libdconf-dbus-1.so.0
-+noinst_DATA = libdconf-dbus-1.so.0
+ ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
+ am__aclocal_m4_deps = $(top_srcdir)/configure.ac
+@@ -341,7 +341,7 @@
+ 
+ libdconf_dbus_1_so_0_0_0_LDFLAGS = -shared -Wl,-soname=libdconf-dbus-1.so.0
+ libdconf_dbus_1_so_0_0_0_SOURCES = dconf-dbus-1.c
+-nodist_noinst_DATA = libdconf-dbus-1.so libdconf-dbus-1.so.0
++nodist_noinst_DATA = libdconf-dbus-1.so.0
  CLEANFILES = libdconf-dbus-1.so.0 libdconf-dbus-1.so
  all: all-am
  
-@@ -321,9 +321,10 @@
+@@ -430,13 +430,12 @@
+ 	cd "$(DESTDIR)$(shlibdir)" && rm -f $$files
  
  clean-shlibPROGRAMS:
- 	-test -z "$(shlib_PROGRAMS)" || rm -f $(shlib_PROGRAMS)
+-	-test -z "$(shlib_PROGRAMS)" || rm -f $(shlib_PROGRAMS)
 -libdconf-dbus-1.so.0.0.0$(EXEEXT): $(libdconf_dbus_1_so_0_0_0_OBJECTS) $(libdconf_dbus_1_so_0_0_0_DEPENDENCIES) $(EXTRA_libdconf_dbus_1_so_0_0_0_DEPENDENCIES) 
 -	@rm -f libdconf-dbus-1.so.0.0.0$(EXEEXT)
 +libdconf-dbus-1.so.0$(EXEEXT): $(libdconf_dbus_1_so_0_0_0_OBJECTS) $(libdconf_dbus_1_so_0_0_0_DEPENDENCIES) $(EXTRA_libdconf_dbus_1_so_0_0_0_DEPENDENCIES) 
@@ -30,10 +31,13 @@
 +	$(AM_V_GEN) ln -fs libdconf-dbus-1.so.0 libdconf-dbus-1.so
  
  mostlyclean-compile:
- 	-rm -f *.$(OBJEXT)
-@@ -640,12 +641,8 @@
- 	uninstall-hook uninstall-pkgconfigDATA uninstall-shlibPROGRAMS
+-	-rm -f *.$(OBJEXT)
  
+ distclean-compile:
+ 	-rm -f *.tab.c
+@@ -821,12 +820,8 @@
+ # run tests in cwd as part of make check
+ check-local: test-nonrecursive
  
 -libdconf-dbus-1.so.0 libdconf-dbus-1.so: libdconf-dbus-1.so.0.0.0
 -	$(AM_V_GEN) ln -fs libdconf-dbus-1.so.0.0.0 $@

Modified: head/devel/dconf/files/patch-editor_Makefile.in
==============================================================================
--- head/devel/dconf/files/patch-editor_Makefile.in	Wed Jul 31 11:56:17 2013	(r324036)
+++ head/devel/dconf/files/patch-editor_Makefile.in	Wed Jul 31 11:57:45 2013	(r324037)
@@ -1,20 +1,20 @@
---- editor/Makefile.in.orig	2012-10-03 17:32:51.000000000 +0000
-+++ editor/Makefile.in	2012-10-03 17:35:54.000000000 +0000
-@@ -55,7 +55,7 @@
- 	dconf-schema.$(OBJEXT) dconf-view.$(OBJEXT)
+--- editor/Makefile.orig.in	2013-03-26 19:20:12.623348896 +0000
++++ editor/Makefile.in	2013-03-26 19:21:40.077341977 +0000
+@@ -72,7 +72,7 @@
+ 	dconf_editor-dconf-view.$(OBJEXT)
  dconf_editor_OBJECTS = $(am_dconf_editor_OBJECTS)
  am__DEPENDENCIES_1 =
--dconf_editor_DEPENDENCIES = ../client/libdconf.so.0 \
+-dconf_editor_DEPENDENCIES = ../client/libdconf.so.1 \
 +dconf_editor_DEPENDENCIES = -ldconf \
  	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
  	$(am__DEPENDENCIES_1)
- DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
-@@ -232,7 +232,7 @@
- top_srcdir = @top_srcdir@
- AM_CFLAGS = $(gtk_CFLAGS) $(gmodule_CFLAGS) $(libxml_CFLAGS) -I$(top_srcdir)/common -I$(top_srcdir)/client -DPKGDATADIR=\"@datadir@/dconf-editor\"
- AM_VALAFLAGS = --vapidir ../client --pkg gtk+-3.0 --pkg gmodule-2.0 --pkg libxml-2.0 --pkg dconf
--dconf_editor_LDADD = ../client/libdconf.so.0 $(gtk_LIBS) $(gmodule_LIBS) $(gee_LIBS) $(libxml_LIBS)
-+dconf_editor_LDADD = -ldconf $(gtk_LIBS) $(gmodule_LIBS) $(gee_LIBS) $(libxml_LIBS)
- dconf_editor_SOURCES = config.vapi dconf-editor.vala dconf-model.vala dconf-schema.vala dconf-view.vala
- desktopdir = $(datadir)/applications
- desktop_in_files = dconf-editor.desktop.in.in
+ dconf_editor_LINK = $(CCLD) $(dconf_editor_CFLAGS) $(CFLAGS) \
+@@ -297,7 +297,7 @@
+ INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/client
+ dconf_editor_VALAFLAGS = --vapidir ../client --pkg gtk+-3.0 --pkg gmodule-2.0 --pkg libxml-2.0 --pkg dconf
+ dconf_editor_LDADD = \
+-	../client/libdconf.so.1		\
++	 -ldconf			\
+ 	$(gtk_LIBS)			\
+ 	$(gee_LIBS)			\
+ 	$(gmodule_LIBS)			\

Added: head/devel/dconf/files/patch-editor_dconf-editor.vala
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/dconf/files/patch-editor_dconf-editor.vala	Wed Jul 31 11:57:45 2013	(r324037)
@@ -0,0 +1,157 @@
+--- editor/dconf-editor.vala.orig	2013-05-01 21:48:10.000000000 +0000
++++ editor/dconf-editor.vala	2013-05-01 21:50:26.000000000 +0000
+@@ -5,6 +5,10 @@
+     private Settings settings;
+     private Gtk.Builder ui;
+     private Gtk.ApplicationWindow window;
++    private int window_width = 0;
++    private int window_height = 0;
++    private bool window_is_maximized = false;
++    private bool window_is_fullscreen = false;
+     private Gtk.TreeView dir_tree_view;
+     private Gtk.TreeView key_tree_view;
+     private Gtk.Grid key_info_grid;
+@@ -72,8 +76,10 @@
+         }
+         set_app_menu((MenuModel)menu_ui.get_object("menu"));
+ 
+-        window.set_default_size (settings.get_int ("width"), settings.get_int ("height"));
+-        if (settings.get_boolean ("maximized"))
++        window.set_default_size (settings.get_int ("window-width"), settings.get_int ("window-height"));
++        if (settings.get_boolean ("window-is-fullscreen"))
++            window.fullscreen ();
++        else if (settings.get_boolean ("window-is-maximized"))
+             window.maximize ();
+ 
+         dir_tree_view = new DConfDirView();
+@@ -124,6 +130,15 @@
+         window.present();
+     }
+ 
++    protected override void shutdown ()
++    {
++        base.shutdown();
++        settings.set_int ("window-width", window_width);
++        settings.set_int ("window-height", window_height);
++        settings.set_boolean ("window-is-maximized", window_is_maximized);
++        settings.set_boolean ("window-is-fullscreen", window_is_fullscreen);
++    }
++
+     private void dir_selected_cb()
+     {
+         KeyModel? key_model = null;
+@@ -201,11 +216,16 @@
+         {
+             if (selected_key.schema != null)
+             {
++                var gettext_domain = selected_key.schema.gettext_domain;
+                 schema_name = selected_key.schema.schema.id;
+                 if (selected_key.schema.summary != null)
+                     summary = selected_key.schema.summary;
++                if (gettext_domain != null && summary != "")
++                    summary = dgettext(gettext_domain, summary);
+                 if (selected_key.schema.description != null)
+                     description = selected_key.schema.description;
++                if (gettext_domain != null && description != "")
++                    description = dgettext(gettext_domain, description);
+                 type = key_to_description(selected_key);
+                 default_value = selected_key.schema.default_value.print(false);
+             }
+@@ -236,10 +256,10 @@
+ 
+     private bool main_window_configure_event_cb (Gtk.Widget widget, Gdk.EventConfigure event)
+     {
+-        if (!settings.get_boolean ("maximized"))
++        if (!window_is_maximized && !window_is_fullscreen)
+         {
+-            settings.set_int ("width", event.width);
+-            settings.set_int ("height", event.height);
++            window_width = event.width;
++            window_height = event.height;
+         }
+ 
+         return false;
+@@ -248,10 +268,9 @@
+     private bool main_window_window_state_event_cb (Gtk.Widget widget, Gdk.EventWindowState event)
+     {
+         if ((event.changed_mask & Gdk.WindowState.MAXIMIZED) != 0)
+-        {
+-            var is_maximized = (event.new_window_state & Gdk.WindowState.MAXIMIZED) != 0;
+-            settings.set_boolean ("maximized", is_maximized);
+-        }
++            window_is_maximized = (event.new_window_state & Gdk.WindowState.MAXIMIZED) != 0;
++        if ((event.changed_mask & Gdk.WindowState.FULLSCREEN) != 0)
++            window_is_fullscreen = (event.new_window_state & Gdk.WindowState.FULLSCREEN) != 0;
+ 
+         return false;
+     }
+@@ -266,6 +285,7 @@
+     {
+         search_label.set_text("");
+ 
++        /* Get the current position in the tree */
+         Gtk.TreeIter iter;
+         var key_iter = Gtk.TreeIter();
+         var have_key_iter = false;
+@@ -283,17 +303,31 @@
+         else if (!model.get_iter_first(out iter))
+             return;
+ 
++        var on_first_directory = true;
+         do
+         {
++            /* Select next directory that matches */
+             var dir = model.get_directory(iter);
+             if (!have_key_iter)
++            {
+                 have_key_iter = dir.key_model.get_iter_first(out key_iter);
++                if (!on_first_directory && dir.name.index_of(search_entry.text) >= 0)
++                {
++                    dir_tree_view.expand_to_path(model.get_path(iter));
++                    dir_tree_view.get_selection().select_iter(iter);
++                    dir_tree_view.scroll_to_cell(model.get_path(iter), null, false, 0, 0);
++                    return;
++                }
++            }
++            on_first_directory = false;
++
++            /* Select next key that matches */
+             if (have_key_iter)
+             {
+                 do
+                 {
+                     var key = dir.key_model.get_key(key_iter);
+-                    if (key.name.index_of (search_entry.text) >= 0)
++                    if (key_matches(key, search_entry.text))
+                     {
+                         dir_tree_view.expand_to_path(model.get_path(iter));
+                         dir_tree_view.get_selection().select_iter(iter);
+@@ -310,6 +344,28 @@
+         search_label.set_text(_("Not found"));
+     }
+ 
++    private bool key_matches (Key key, string text)
++    {
++        /* Check key name */
++        if (key.name.index_of(text) >= 0)
++            return true;
++
++        /* Check key schema (description) */
++        if (key.schema != null)
++        {
++            if (key.schema.summary != null && key.schema.summary.index_of(text) >= 0)
++                return true;
++            if (key.schema.description != null && key.schema.description.index_of(text) >= 0)
++                return true;
++        }
++
++        /* Check key value */
++        if (key.value.is_of_type(VariantType.STRING) && key.value.get_string().index_of(text) >= 0)
++            return true;
++
++        return false;
++    }
++
+     private bool get_next_iter(ref Gtk.TreeIter iter)
+     {
+         /* Search children next */

Added: head/devel/dconf/files/patch-editor_dconf-model.vala
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/dconf/files/patch-editor_dconf-model.vala	Wed Jul 31 11:57:45 2013	(r324037)
@@ -0,0 +1,212 @@
+--- editor/dconf-model.vala.orig	2013-05-01 21:47:59.000000000 +0000
++++ editor/dconf-model.vala	2013-05-01 21:50:26.000000000 +0000
+@@ -254,7 +254,7 @@
+             string[] tokens = path.split("/", 2);
+             string name = tokens[0];
+ 
+-            Directory directory = get_child(name);
++            var directory = get_child(name);
+             directory.load_schema(schema, tokens[1]);
+         }
+     }
+@@ -341,8 +341,10 @@
+         return (Key)iter.user_data;
+     }
+ 
+-    public bool get_iter(ref Gtk.TreeIter iter, Gtk.TreePath path)
++    public bool get_iter(out Gtk.TreeIter iter, Gtk.TreePath path)
+     {
++        iter = Gtk.TreeIter();
++
+         if (path.get_depth() != 1)
+             return false;
+ 
+@@ -391,11 +393,14 @@
+         return true;
+     }
+ 
+-    public bool iter_children(ref Gtk.TreeIter iter, Gtk.TreeIter? parent)
++    public bool iter_children(out Gtk.TreeIter iter, Gtk.TreeIter? parent)

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Koop Mast freebsd_committer 2013-07-31 13:03:16 UTC
State Changed
From-To: open->closed

Committed thanks!